<?php
/**
 
 * @package WordPress
 * @subpackage New_theme
 * @since New Theme 1.0
 */
		
		
add_action( 'after_setup_theme', 'Newtheme_setup' );
if ( ! function_exists( 'Newtheme_setup' ) ):
function Newtheme_setup() {
	load_theme_textdomain( 'Newtheme', get_template_directory() . '/languages' );
	add_editor_style();
	require( get_template_directory() . '/epanel/widgets.php' );

	add_theme_support( 'automatic-feed-links' );

	register_nav_menu( 'primary', __( 'Primary Menu', 'Newtheme' ) );

	add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
	add_theme_support( 'custom-background', array(
		'default-color' => $default_background_color,
	) );

	add_theme_support( 'post-thumbnails' );
	add_image_size( 'small-feature', 500, 300 );
	}
endif; // Newtheme_setup


function Newtheme_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'Newtheme_page_menu_args' );


function Newtheme_widgets_init() {

	register_widget( 'New_theme_Ephemera_Widget' );

	register_sidebar( array(
		'name' => __( 'Main Sidebar', 'Newtheme' ),
		'id' => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	
	

	
}
add_action( 'widgets_init', 'Newtheme_widgets_init' );

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' ); // enable feature
	add_image_size( 'postsize', 229,138, true ); // custom size
	add_image_size( 'postsize1', 576,196, true ); // custom size
	add_image_size( 'postsize2', 150,100, true ); // custom size
}

add_action( 'after_setup_theme', 'et_setup_theme' );
if ( ! function_exists( 'et_setup_theme' ) ){
	function et_setup_theme(){
		global $themename, $shortname;
		$themename = "New Theme";
		require_once(TEMPLATEPATH . '/epanel/core_functions.php'); 
		require_once(TEMPLATEPATH . '/epanel/lib/aweber_api/aweber_api.php');
	}
}


add_action('init','Newtheme_init');
	function Newtheme_init() {
		wp_enqueue_script( 'Newtheme-theme-options', get_template_directory_uri() . '/epanel/js/jquery-1.7.1.min.js', __FILE__);
		wp_enqueue_script( 'Newtheme-theme-options1', get_template_directory_uri() . '/epanel/js/theme.js', __FILE__);
	}

function nav_menu_add_classes( $items ) {
 $pos = strrpos($items, 'class="menu-item', -1);
 $items=substr_replace($items, 'menu-item-last ', $pos+7, 0);
 $pos = strpos($items, 'class="menu-item');
 $items=substr_replace($items, 'menu-item-first ', $pos+7, 0);
 return $items;
}

add_filter( 'wp_nav_menu_items', 'nav_menu_add_classes' );


if (!get_option(get_theme_style) ) {
	add_option('get_theme_style',1);
}

if (!get_option(get_theme_backgroundimg1) ) {
	$imgurl = get_template_directory_uri().'/images/body_bg.jpg';
	add_option('get_theme_backgroundimg1',"$imgurl");
}
if (!get_option(get_theme_backgroundimg3) ) {
	$imgurl = get_template_directory_uri().'/images/header_bg_top_strip.jpg';
	add_option('get_theme_backgroundimg3',"$imgurl");
}
if (!get_option(get_theme_backgroundimg5) ) {
	$imgurl = get_template_directory_uri().'/images/header_bg_top_strip.jpg';
	add_option('get_theme_backgroundimg5',"$imgurl");
}
if (!get_option(get_theme_backgroundimg6) ) {
	$imgurl = get_template_directory_uri().'/images/bg_fade2white_strip.png';
	add_option('get_theme_backgroundimg6',"$imgurl");
}
if (!get_option(get_theme_backgroundimg7) ) {
	$imgurl = get_template_directory_uri().'/images/header_bg_top_strip.jpg';
	add_option('get_theme_backgroundimg7',"$imgurl");
}
if (!get_option(get_theme_backgroundimg8) ) {
	$imgurl = get_template_directory_uri().'/images/bg_highlight.jpg';
	add_option('get_theme_backgroundimg8',"$imgurl");
}
if (!get_option(get_theme_backgroundimg9) ) {
	$imgurl = get_template_directory_uri().'/images/body_bg.jpg';
	add_option('get_theme_backgroundimg9',"$imgurl");
}
if (!get_option(get_theme_backgroundcolor2) ) {
	add_option('get_theme_backgroundcolor2','#D1D1D1');
}
if (!get_option(get_theme_backgroundcolor3) ) {
	add_option('get_theme_backgroundcolor3','#F7F7F7');
}
if (!get_option(get_theme_backgroundcolor4) ) {
	add_option('get_theme_backgroundcolor4','#CCCCCC');
}
if (!get_option(get_theme_backgroundcolor5) ) {
	add_option('get_theme_backgroundcolor5','#FFFFFF');
}
if (!get_option(get_theme_backgroundcolor6) ) {
	add_option('get_theme_backgroundcolor6','#d1d1d1');
}
if (!get_option(get_theme_backgroundcolor7) ) {
	add_option('get_theme_backgroundcolor7','#EEEEEE');
}
if (!get_option(get_theme_backgroundcolor8) ) {
	add_option('get_theme_backgroundcolor8','#000000');
}
if (!get_option(get_theme_box) ) {
	$array=array(	
		box1=>"#FFFFFF",
		box2left=>"#FFFFFF",
		box2right=>"#F5F5F5",
		box4=>"#FFFFFF",
		box5=>"#FFFFFF",
		box7=>"#FFFFFF"
	);
	$clrjson=json_encode($array);
	add_option('get_theme_box',"$clrjson");
}


$embedvalue = '<iframe width="640" height="360" src="http://www.youtube.com/embed/ystASyBhdcs" frameborder="0" allowfullscreen> </iframe>';
if (!get_option(get_embed_code1) ) {
	add_option('get_embed_code1',"$embedvalue");
}
if (!get_option(get_embed_code2) ) {
	add_option('get_embed_code2',"$embedvalue");
}
if (!get_option(get_embed_code3) ) {
	add_option('get_embed_code3',"$embedvalue");
}
if (!get_option(get_embed_code4) ) {
	add_option('get_embed_code4',"$embedvalue");
}
if (!get_option(get_embed_code6) ) {
	add_option('get_embed_code6',"$embedvalue");
}
if (!get_option(get_embed_code8) ) {
	add_option('get_embed_code8',"$embedvalue");
}


if (!get_option(get_theme_feedback1) ) {
	$feedb1 = 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.';
	add_option('get_theme_feedback1',"$feedb1");
}
if (!get_option(get_theme_feedback1name) ) {
	$feedbn1 = 'Name';
	add_option('get_theme_feedback1name',"$feedbn1");
}
if (!get_option(get_theme_feedback1web) ) {
	$feedbw1 = 'Web Url';
	add_option('get_theme_feedback1web',"$feedbw1");
}
if (!get_option(get_theme_feedback2) ) {
	$feedb2 = 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.';
	add_option('get_theme_feedback2',"$feedb2");
}
if (!get_option(get_theme_feedback2name) ) {
	$feedbn2 = 'Name';
	add_option('get_theme_feedback2name',"$feedbn2");
}
if (!get_option(get_theme_feedback2web) ) {
	$feedbw2 = 'Web Url';
	add_option('get_theme_feedback2web',"$feedbw2");
}

if (!get_option(get_theme_feedback3) ) {
	$feedb1 = 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.';
	add_option('get_theme_feedback3',"$feedb1");
}
if (!get_option(get_theme_feedback3name) ) {
	$feedbn1 = 'Name';
	add_option('get_theme_feedback3name',"$feedbn1");
}
if (!get_option(get_theme_feedback3web) ) {
	$feedbw1 = 'Web Url';
	add_option('get_theme_feedback3web',"$feedbw1");
}
if (!get_option(get_theme_feedback4) ) {
	$feedb2 = 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.';
	add_option('get_theme_feedback4',"$feedb2");
}
if (!get_option(get_theme_feedback4name) ) {
	$feedbn2 = 'Name';
	add_option('get_theme_feedback4name',"$feedbn2");
}
if (!get_option(get_theme_feedback4web) ) {
	$feedbw2 = 'Web Url';
	add_option('get_theme_feedback4web',"$feedbw2");
}
$firstwarning = 'Hi You Had Only Known Earlier... ';
if (!get_option(get_theme_warning2) ) {
	add_option('get_theme_warning2',"$firstwarning");
}
if (!get_option(get_theme_warning3) ) {
	add_option('get_theme_warning3',"$firstwarning");
}
if (!get_option(get_theme_warning5) ) {
	add_option('get_theme_warning5',"$firstwarning");
}
if (!get_option(get_theme_warning6) ) {
	add_option('get_theme_warning6',"$firstwarning");
}
if (!get_option(get_theme_warning7) ) {
	add_option('get_theme_warning7',"$firstwarning");
}
if (!get_option(get_theme_footer1) ) {
	$f1 = ' Commission Pipe pages from Paged Marketing & Precious Ngwu.';
	add_option('get_theme_footer1',"$f1");
}
if (!get_option(get_theme_footer2) ) {
	$f2 = ' Your Information is 100% Secure And Will Never Be Shared With Anyone. ';
	add_option('get_theme_footer2',"$f2");
}
if (!get_option(get_theme_message2) ) {
	$m1 = "Here's Why Your Opt-In Ratios Can't Break The 40% Mark... And Why You've Been Doing It All Wrong! ";
	add_option('get_theme_message2',"$m1");
}
if (!get_option(get_theme_message5) ) {
	$m2 = "Here's Why Your Opt-In Ratios Can't Break The 40% Mark... And Why You've Been Doing It All Wrong! ";
	add_option('get_theme_message5',"$m2");
}
if (!get_option(get_theme_message6) ) {
	$m3 = "Here's Why Your Opt-In Ratios Can't Break The 40% Mark... And Why You've Been Doing It All Wrong! ";
	add_option('get_theme_message6',"$m3");
}
if (!get_option(get_theme_message7) ) {
	$m4 = "Here's Why Your Opt-In Ratios Can't Break The 40% Mark... And Why You've Been Doing It All Wrong! ";
	add_option('get_theme_message7',"$m4");
}
if (!get_option(get_theme_smessage1) ) {
	$sm1 = ' Let Me Find You The Kind Of Home Your Family <span class="underline"> Truly Deserves </span>  ';
	add_option('get_theme_smessage1',"$sm1");
}
if (!get_option(get_theme_smessage2) ) {
	$sm2 = 'Free video reveals the <span class="bold">top-5 secret techniques</span> world-class Internet Marketers use in order to push their opt-in ratios to absurd levels... Did you think that a 50% opt-in rate was impossible? <span class="bold">Think again!</span>';
	add_option('get_theme_smessage2',"$sm2");
}
if (!get_option(get_theme_smessage4) ) {
	$sm3 = 'The <span class="underline">SAME EXACT SYSTEM</span> two ex-homeless men used to make <span class="bold">$464,913.00</span> in 3 months -- all online, on complete auto-pilot <span class="italic">...without ever picking up the phone!</span> ';
	add_option('get_theme_smessage4',"$sm3");
}
if (!get_option(get_theme_smessage5) ) {
	$sm4 = 'Free video reveals the <span class="bold">top-5 techniques</span> world-class Internet Marketers use in order to push their opt-in ratios to absurd levels... Did you think that a 50% opt-in rate was impossible? <span class="bold">Think again!</span>';
	add_option('get_theme_smessage5',"$sm4");
}
if (!get_option(get_theme_smessage6) ) {
	$sm5 = 'Free video reveals the <span class="bold">top-5 secret techniques</span> world-class Internet Marketers use in order to push their opt-in ratios to absurd levels... Did you think that a 50% opt-in rate was impossible? <span class="bold">Think again!</span> ';
	add_option('get_theme_smessage6',"$sm5");
}
if (!get_option(get_theme_smessage7) ) {
	$sm6 = ' Free video reveals the <span class="bold">top-5 techniques</span> world-class Internet Marketers use in order to push their opt-in ratios to absurd levels... Did you think that a 50% opt-in rate was impossible? <span class="bold">Think again!</span> ';
	add_option('get_theme_smessage7',"$sm6");
}
$lms = 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.';
if (!get_option(get_theme_lmessage5) ) {
	add_option('get_theme_lmessage5',"$lms");
}
if (!get_option(get_theme_lmessage7) ) {
	add_option('get_theme_lmessage7',"$lms");
}
if (!get_option(get_theme_lmessage8) ) {
	add_option('get_theme_lmessage8',"$lms");
}
if (!get_option(get_theme_lmessage9) ) {
	add_option('get_theme_lmessage9',"$lms");
}

$formconvalue = '<form class="af-form-wrapper" action="http://www.aweber.com/scripts/addlead.pl" method="post">
<div style="display: none;"><input type="hidden" name="meta_web_form_id" value="1796853779" />
<input type="hidden" name="meta_split_id" />
<input type="hidden" name="listname" value="default2830687" />
<input id="redirect_55cd7465dc32b2a3a3b9df14d6bcdcc5" type="hidden" name="redirect" value="http://www.aweber.com/thankyou-coi.htm?m=text" />
<input type="hidden" name="meta_adtracking" value="My_Web_Form" />
<input type="hidden" name="meta_message" value="1" />
<input type="hidden" name="meta_required" value="name,email" />
<input type="hidden" name="meta_tooltip" /></div>
<div id="af-form-1796853779" class="af-form">
<div id="af-header-1796853779" class="af-header">
<div class="bodyText">

&nbsp;

</div>
</div>
<div id="af-body-1796853779" class="af-body af-standards">
<div class="af-element">

<label class="previewLabel" for="awf_field-46983934">Name: </label>
<div class="af-textWrap"><input id="awf_field-46983934" class="text" tabindex="500" type="text" name="name" value="Enter Your Name" /></div>
<div class="af-clear"></div>
</div>
<div class="af-element">

<label class="previewLabel" for="awf_field-46983935">Email: </label>
<div class="af-textWrap"><input id="awf_field-46983935" class="text" tabindex="501" type="text" name="email" value="Enter Your Best Email" /></div>
<div class="af-clear"></div>
</div>
<div class="af-element buttonContainer">

<input class="submit" tabindex="502" type="submit" name="submit" value="Submit" />
<div class="af-clear"></div>
</div>
</div>
</div>
<div style="display: none;"><img src="http://forms.aweber.com/form/displays.htm?id=jOycbByszOzsnA==" alt="" /></div>
</form>';
if (!get_option(get_theme_form1) ) {
	add_option('get_theme_form1',"$formconvalue");
}
if (!get_option(get_theme_form2) ) {
	add_option('get_theme_form2',"$formconvalue");
}
if (!get_option(get_theme_form3) ) {
	add_option('get_theme_form3',"$formconvalue");
}
if (!get_option(get_theme_form4) ) {
	add_option('get_theme_form4',"$formconvalue");
}
if (!get_option(get_theme_form5) ) {
	add_option('get_theme_form5',"$formconvalue");
}
if (!get_option(get_theme_form6) ) {
	add_option('get_theme_form6',"$formconvalue");
}
if (!get_option(get_theme_form7) ) {
	add_option('get_theme_form7',"$formconvalue");
}
if (!get_option(get_theme_form8) ) {
	add_option('get_theme_form8',"$formconvalue");
}
if (!get_option(get_theme_form9) ) {
	add_option('get_theme_form9',"$formconvalue");
}
