<?php
include_once('../framework/config.php');

$paged_traffic		=	new PagedTraffic();

$details			=	$paged_traffic->getAccountDetails($_POST['account-name']);

$status				=	'FAILURE';

switch($details['account_type'])
{
	case 'statusnet':
		$statusnet_accounts	= 	$paged_traffic->getStatusnetAccounts();
		$account			=	$paged_traffic->search($statusnet_accounts, 'account-name', $_POST['account-name']);
		
		if(count($account)>0)
		{
			$url=$account[0]['api-url'];
			$statusnet = new Statusnet($url, $details['account_params']['username'], $details['account_params']['password']);
			if($statusnet->testLogin())
			{
				$status	= 'SUCCESS';
			}
		}

	break;
	case 'bitly':
		/* try converting the base url to short url */

		$login=$details['account_params']['login'];
		$apiKey=$details['account_params']['api_key'];
		$bitly = new SFBitly($login, $apiKey);
		$short = $bitly->shortenSingle(PAGED_TRAFFIC_PLUGIN_URL);
		if(strlen($short)>0)
		{
			$status	= 'SUCCESS';
		}
	break;
	case 'facebook-account':
		try
		{
			$facebook = new Facebook(array(  
				'appId'  => paged_traffic_facebook_app_id,  
				'secret' => paged_traffic_facebook_secret,  
				'cookie' => true  
			));
			$facebook->setAccessToken($details['account_params']['access_token']);
			$user = $facebook->getUser();
			if($user)
			{
				$status	= 'SUCCESS';
			}
		}
		catch(Exception $ex)
		{
			
		}
	break;
	case 'twitter-account':
		try
		{
			$twitter = new TwitterOAuth(paged_traffic_twitter_consumer_key, paged_traffic_twitter_consumer_secret, $details['account_params']['access_token'], $details['account_params']['access_secret']);
			$user_info = $twitter->get('account/verify_credentials');
			if(!isset($user_info->error))
			{
				$status	= 'SUCCESS';
			}
		}
		catch(Exception $ex)
		{
			
		}
	break;
	case 'linkedin-account':
		try
		{
			$API_CONFIG = array(
			  'appKey'       => paged_traffic_linkedin_api_key,
			  'appSecret'    => paged_traffic_linkedin_secret,
			  'callbackUrl'  => null 
			);
			$linkedin = new LinkedIn($API_CONFIG);
			$linkedin->setTokenAccess(array('oauth_token' => $details['account_params']['access_token'], 'oauth_token_secret'=>$details['account_params']['access_secret']));
			
			$response = $linkedin->profile('~:(id)');
			$user = new SimpleXMLElement($response['linkedin']);
			
			//print_r($user);
			if(isset($user->id))
			{
				$status	= 'SUCCESS';
			}
		}
		catch(Exception $ex)
		{
			
		}
	break;
	case 'friendfeed':
		$friendfeed = new FriendFeed( @$details['account_params']['username'], @$details['account_params']['remote_key'] );
		$feed = $friendfeed->fetch_home_feed();
		if($feed)
		{
			$status	= 'SUCCESS';
		}
	break;
	case 'wordpress':
		$meta = new MetaWebLogAPI( @$details['account_params']['blog_prefix'].'.wordpress.com', '/xmlrpc.php', 1, @$details['account_params']['username'], @$details['account_params']['password'] );
		if($meta->Test())
		{
			$status	= 'SUCCESS';
		}
	break;
	case 'blog':
		$meta = new MetaWebLogAPI( @$details['account_params']['blog_prefix'].'.blog.com', '/xmlrpc.php', 1, @$details['account_params']['username'], @$details['account_params']['password'] );
		if($meta->Test())
		{
			$status	= 'SUCCESS';
		}
	break;
	case 'plurk':
		$plurk_api = new plurk_api();
		if($plurk_api->login( 'dzl9hoyCaILElKVQcWIruHoflwytciQg', $details['account_params']['username'], $details['account_params']['password'] ))
		{
			$status	= 'SUCCESS';
		}
	break;
	case 'blogger':
		try
		{
			$blogger = new Blogger( @$details['account_params']['user_email'], @$details['account_params']['password'], @$details['account_params']['blog_id'] );
			$status	= 'SUCCESS';
		}
		catch(Exception $e)
		{
			echo $e->getMessage();
		}
	break;
	case 'typepad':
		$meta = new MetaWebLogAPI( 'www.typepad.com', '/t/api', @$details['account_params']['blog_id'], @$details['account_params']['user_email'], @$details['account_params']['password'] );
		if($meta->TestGetPosts())
		{
			$status	= 'SUCCESS';
		}
	break;
	case 'livejournal':
		$req = new xmlrpcmsg( 'LJ.XMLRPC.login' );

		$struct = new xmlrpcval( array(
			'username' => new xmlrpcval( @$details['account_params']['username'], 'string' ),
			'password' => new xmlrpcval( @$details['account_params']['password'], 'string' ),
		), 'struct' );

		$req->addParam( $struct );

		$cl = new xmlrpc_client( '/interface/xmlrpc', 'livejournal.com', 80, 'http11' );
		$ans = $cl->send( $req );
		try 
		{
			if ( $ans->val == true ) 
			{
				$status	= 'SUCCESS';
			}
		} 
		catch ( Exception $ex ) 
		{
		}
	break;
	case 'delicious':
		$d = new DeliciousBrownies;
		$d->setUsername(@$details['account_params']['username']);
		$d->setPassword(@$details['account_params']['password']);
		if($d->getRecentPosts())
		{
			$status	= 'SUCCESS';
		}
	break;
	case 'posterous':
		$posterous_api = new PosterousAPI(@$details['account_params']['user_email'], @$details['account_params']['password']);
		try
		{
			$res=$posterous_api->getsites();
			$status	= 'SUCCESS';
		}
		catch(Exception $ex)
		{
			
		}
	break;
}
echo $status;
die;