<?php
/*
 * Copyright 2011 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
require_once('../../../lib/config.php');
require_once '../src/Google_Client.php';
require_once '../src/contrib/Google_PlusService.php';

session_start();

$gclient = new Google_Client();
$gclient->setApplicationName("Google+ PHP Starter Application");

$plus = new Google_PlusService($gclient);

if (isset($_GET['code'])) {
  $gclient->authenticate($_GET['code']);
  $_SESSION['access_token'] = $gclient->getAccessToken();
  header('Location: http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']);
}

if (isset($_SESSION['access_token'])) {
  $gclient->setAccessToken($_SESSION['access_token']);
}

if ($gclient->getAccessToken()) {
  $me = $plus->people->get('me');
  //print_r($me);
 
			// Let's find the user by its ID  
			$token = $gclient->getAccessToken();
			$gplus_user=$me;
			$gplus_user_name=@$gplus_user_data['displayName'];
			
			// Save Facebook data
			$viral_control	=	new ViralControl();
			$viral_control->saveGplusAccountDetails('gplus-account', $gplus_user, $gplus_user_name,$token);
			
			//$wpdb->query($sql);
			header('Location:'.get_option( 'siteurl' ) . '/wp-admin/admin.php?page=social-curator-settings&updated=true&gplus-success=1');

}
if (!$gclient->getAccessToken()) {
	$authUrl = $gclient->createAuthUrl();
	header("Location: $authUrl");
}
?>